Update German translation
[pulseview.git] / INSTALL
1 -------------------------------------------------------------------------------
2 INSTALL
3 -------------------------------------------------------------------------------
4
5 Requirements
6 ------------
7
8  - git (only needed when building from git)
9  - A C++ compiler with C++11 support (-std=c++11 option), e.g.
10    - g++ (>= 4.8.1)
11    - clang++ (>= 3.3)
12  - make
13  - libtool (only needed when building from git)
14  - pkg-config >= 0.22
15  - cmake >= 2.8.12
16  - libglib >= 2.28.0
17  - glibmm-2.4 (>= 2.28.0)
18  - Qt5 (>= 5.3), including the following components:
19     - Qt5Core, Qt5Gui, Qt5Widgets, Qt5Svg, Qt5LinguistTools
20     - Qt translation package (optional; needed at runtime, not build time)
21  - libboost >= 1.55 (including the following libs):
22     - libboost-system
23     - libboost-filesystem
24     - libboost-serialization
25     - libboost-test (optional, only needed to run the unit tests)
26     - libboost-stacktrace (optional, only needed for debugging)
27  - libsigrokcxx >= 0.5.2 (libsigrok C++ bindings)
28  - libsigrokdecode >= 0.5.2
29  - libsigrokandroidutils >= 0.1.0 (optional, only needed on Android)
30  - asciidoctor (optional, only needed to build the HTML manual)
31  - asciidoctor-pdf (optional, only needed to build the PDF manual)
32
33
34 Building and installing
35 -----------------------
36
37 In order to get the PulseView source code and build it, run:
38
39  $ git clone git://sigrok.org/pulseview
40  $ cd pulseview
41  $ cmake .
42  $ make
43
44 For installing PulseView:
45
46  $ make install
47
48 See the following wiki page for more (OS-specific) instructions:
49
50  http://sigrok.org/wiki/Building
51
52
53 Creating a source distribution package
54 --------------------------------------
55
56 In order to build a source package begin with an unconfigured source tree.
57
58  $ mkdir dist
59  $ cd dist
60  $ cmake ..
61  $ make package_source
62
63
64 Generating the manual
65 ---------------------
66
67 To generate the HTML manual, you only need Asciidoctor. If you also want
68 to generate the PDF manual, you need to install asciidoctor-pdf as well
69 and make it available for execution:
70
71  $ gem install --pre asciidoctor-pdf
72  $ export PATH=~/.gem/ruby/2.3.0/bin:$PATH
73
74 Then, to build the PulseView manual, run:
75
76  $ make manual
77
78 Note: The stylesheet used is a lightly modified version of "Read The Docs"
79 from the Asciidoctor stylesheet factory:
80 https://asciidoctor.org/docs/user-manual/#stylesheet-factory